classification
Title: Fix grammar typo in importlib.reload() exception
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: Mariatta, brett.cannon, mandeepb
Priority: normal Keywords:

Created on 2017-03-20 19:08 by brett.cannon, last changed 2017-03-25 10:47 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 809 merged harman786, 2017-03-24 22:17
PR 811 merged Mariatta, 2017-03-25 04:52
PR 812 merged Mariatta, 2017-03-25 04:52
Messages (8)
msg289901 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-03-20 19:08
https://github.com/python/cpython/blob/05f53735c8912f8df1077e897f052571e13c3496/Lib/importlib/__init__.py#L140

"reload() argument must be a module" (missing the "a").
msg290074 - (view) Author: Mandeep (mandeepb) * Date: 2017-03-24 02:26
Hi Brett, I'd like to take this on as my first contribution to CPython if that's okay with you.
msg290099 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-03-24 16:36
Go for it, Mandeep!
msg290239 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-24 22:31
Does this need backport to 3.5/3.6?
msg290464 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-25 04:51
New changeset 9f0aa4843f8c26937d5817f27cac4aae9c0a034f by Mariatta (Mandeep Bhutani) in branch 'master':
bpo-29862: Fix grammar in importlib.reload() exception (GH-809)
https://github.com/python/cpython/commit/9f0aa4843f8c26937d5817f27cac4aae9c0a034f
msg290474 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-25 10:42
New changeset 8b82236952619c3838865ff535e5ce77b59b4a78 by Mariatta in branch '3.6':
bpo-29862: Fix grammar in importlib.reload() exception (GH-809) (GH-811)
https://github.com/python/cpython/commit/8b82236952619c3838865ff535e5ce77b59b4a78
msg290475 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-25 10:42
New changeset 55717b4b487a9ccc119ca501fad71937fa01d1f6 by Mariatta in branch '3.5':
bpo-29862: Fix grammar in importlib.reload() exception (GH-809) (GH-812)
https://github.com/python/cpython/commit/55717b4b487a9ccc119ca501fad71937fa01d1f6
msg290476 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-03-25 10:47
I merged Mandeep's PR and backported it into 3.5 and 3.6.
Thanks all :)
History
Date User Action Args
2017-03-25 10:47:58Mariattasetstatus: open -> closed
versions: + Python 3.5, Python 3.6
messages: + msg290476

resolution: fixed
stage: resolved
2017-03-25 10:42:40Mariattasetmessages: + msg290475
2017-03-25 10:42:01Mariattasetmessages: + msg290474
2017-03-25 04:52:56Mariattasetpull_requests: + pull_request719
2017-03-25 04:52:43Mariattasetpull_requests: + pull_request718
2017-03-25 04:51:24Mariattasetmessages: + msg290464
2017-03-24 22:31:52Mariattasetnosy: + Mariatta
messages: + msg290239
2017-03-24 22:17:20harman786setpull_requests: + pull_request714
2017-03-24 16:36:44brett.cannonsetmessages: + msg290099
2017-03-24 02:26:36mandeepbsetnosy: + mandeepb
messages: + msg290074
2017-03-21 17:07:40brett.cannonsettitle: Fix grammar in importlib.reload() exception -> Fix grammar typo in importlib.reload() exception
2017-03-20 19:08:48brett.cannoncreate